# Uses of Interface
java.util.function.DoublePredicate

Packages that use DoublePredicate
Package
Description
java.util.function
Functional interfaces provide target types for lambda expressions and method references.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of DoublePredicate in java.util.function

Methods in java.util.function that return DoublePredicate
Modifier and Type
Method
Description
`default DoublePredicate`
DoublePredicate.`and​(DoublePredicate other)`
Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
`default DoublePredicate`
DoublePredicate.`negate()`
Returns a predicate that represents the logical negation of this predicate.
`default DoublePredicate`
DoublePredicate.`or​(DoublePredicate other)`
Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.
Methods in java.util.function with parameters of type DoublePredicate
Modifier and Type
Method
Description
`default DoublePredicate`
DoublePredicate.`and​(DoublePredicate other)`
Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
`default DoublePredicate`
DoublePredicate.`or​(DoublePredicate other)`
Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.

## Uses of DoublePredicate in java.util.stream

Methods in java.util.stream with parameters of type DoublePredicate
Modifier and Type
Method
Description
`boolean`
DoubleStream.`allMatch​(DoublePredicate predicate)`
Returns whether all elements of this stream match the provided predicate.
`boolean`
DoubleStream.`anyMatch​(DoublePredicate predicate)`
Returns whether any elements of this stream match the provided predicate.
`default DoubleStream`
DoubleStream.`dropWhile​(DoublePredicate predicate)`
Returns, if this stream is ordered, a stream consisting of the remaining elements of this stream after dropping the longest prefix of elements that match the given predicate.
`DoubleStream`
DoubleStream.`filter​(DoublePredicate predicate)`
Returns a stream consisting of the elements of this stream that match the given predicate.
`static DoubleStream`
DoubleStream.`iterate​(double seed, DoublePredicate hasNext, DoubleUnaryOperator next)`
Returns a sequential ordered `DoubleStream` produced by iterative application of the given `next` function to an initial element, conditioned on satisfying the given `hasNext` predicate.
`boolean`
DoubleStream.`noneMatch​(DoublePredicate predicate)`
Returns whether no elements of this stream match the provided predicate.
`default DoubleStream`
DoubleStream.`takeWhile​(DoublePredicate predicate)`
Returns, if this stream is ordered, a stream consisting of the longest prefix of elements taken from this stream that match the given predicate.